<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_function_form_return_url($params, &$smarty ){
    static $return_url = null;

    if( empty($return_url) ){
        $return_url = SELF_URL;

        if( $_SERVER['REQUEST_METHOD'] == 'POST' ){
            if( !empty($_POST['return_url']) ){
                $return_url = $_POST['return_url'];
            }
        }else if( !empty($_SERVER['HTTP_REFERER']) ){
            $return_url = $_SERVER['HTTP_REFERER'];
        }

        $smarty->assign('return_url', $return_url );
    }

    if( !isset($params['print']) || ($params['print'] != false) ){
        echo '<input type="hidden" name="return_url" value="'.echtmlspecialchars($return_url).'" />';
    }
}

?>
