// JavaScript Document
var st_umowne    = [];
var param_id  = -1;
var stany_umowne = [];
var stan_umowny_num = -1;

var o_stan_umowny_form_div = null;
var o_stany_umowne_div     = null;


function update_towar_stan_umowny( stan_id ){
    if( !select_option(document.forms['towar_stan_umowny_form'].elements['STAN_ID'], stan_id ) ){
        setTimeout( "update_towar_stan_umowny(" + stan_id + ")" , 100);
    }
}


/******************************************************************************/

function show_stan_umowny_form( action, num, show_to_all ){
    if( st_umowne.length == 0 ){
        server_connect( o_tparam_ajax, ADMIN_URL + '?action=' + ACTION_STANY_UMOWNE + '&mode=' + MODE_AJAX + '&ajax=1', get_st_umowne_response );
    }

    if( action == 'edit' ){
        if( arguments.length == 1 ){
            if( stan_umowny_num  < 0 ){
                alert('Kliknij dwa razy na stan_umowny aby go edytowa lub kliknij raz na stan_umowny, a nastpnie wcinij przycisk edycja.');
                return;
            }else{
                num = stan_umowny_num;
            }
        }
    }else{
        if( arguments.length < 2 ){
            num = stany_umowne.length;
        }
    }

    try{
        showTlo();
    }catch(e){

    }

/******************************************************************************/

    var f = document.forms['towar_stan_umowny_form'];

    f.onsubmit = function(){
        stan_umowny_add_edit();
        return false;
    }

    stan_umowny_num = num;

    if( typeof(stany_umowne[num]) == 'object' ){
        if ( select_option(f.elements['STAN_ID'], stany_umowne[num].STAN_ID ) ){
            towar_stan_umowny_onchange( f.elements['STAN_ID'] );
        }else{
            setTimeout( "update_towar_stan_umowny(" + stany_umowne[num].STAN_ID + ")", 100);
        }
        
        f.elements['PROG_DOLNY'].value = stany_umowne[num].PROG_DOLNY;
        f.elements['PROG_GORNY'].value = stany_umowne[num].PROG_GORNY;
    }

    if( !o_stan_umowny_form_div ){
        o_stan_umowny_form_div = document.getElementById('stan_umowny_form_div');
    }

    center_both_obj( o_stan_umowny_form_div );

    f.elements['PROG_GORNY'].focus();
/******************************************************************************/

}

function stan_umowny_anuluj(){
    var f = document.forms['towar_stan_umowny_form'];

    f.elements['ID'].value = '';
    f.elements['PROG_DOLNY'].value = '';
    f.elements['PROG_GORNY'].value = '';

    hide_obj(o_stan_umowny_form_div );

    try{
      hideTlo();
    }catch(e){}
}

function stan_umowny_add_edit( f ){
    if( arguments.length == 0 || !f || !f.name ){
        f = document.forms['towar_stan_umowny_form'];
    }
    var stan_umowny = new Object();
    var i = 0;
    var num = stan_umowny_num;

    var STAN_ID = parseInt(f.elements['STAN_ID'].value);

    if( isNaN(STAN_ID) || STAN_ID == 0  ){
        alert('Wybierz stan_umowny jaki chcesz doda!');
        return false;
    }


    var PROG_DOLNY = parseFloat(f.elements['PROG_DOLNY'].value);
    var PROG_GORNY = parseFloat(f.elements['PROG_GORNY'].value);

    if( isNaN(PROG_DOLNY) ){
        PROG_DOLNY = 0;
    }
    
    if( isNaN(PROG_GORNY) ){
        PROG_GORNY = 0;
    }
    
    if( PROG_DOLNY < 0 ){
        alert('Nieprawidowa wartoc progu dolnego. Prg od musi by wiekszy od zera.');
        return false;
    }
    
    if( PROG_GORNY < PROG_DOLNY ){
        alert('Nieprawidowa wartoc progu grnego. Prg do musi by wikszy od progu dolnego.');
        return false;
    }

    var poz = 0;
    for( i = 0; i < stany_umowne.length; i++ ){
        if( stan_umowny[i].PROG_DOLNY < PROG_DOLNY && PROG_DOLNY < stan_umowny[i].PROG_GORNY ){
            
        }
    }
    
    var STAN_NAZWA = f.elements['STAN_ID'].options[f.elements['STAN_ID'].selectedIndex].text;
    var stan_umowny_index = -1;
    if( (stan_umowny_index = in_stany_umowne(STAN_ID)) >= 0 ){
        console.log('stan umowny w tablicy');
        
        if( stan_umowny_index < stany_umowne.length - 1 ){ //jesli nie

        }

        if( stan_umowny_index > 0 ){ //jesli nie pierwszy

        }
    }

    stany_umowne[num] = {
        'STAN_ID'       : STAN_ID,
        'STAN_NAZWA'    : STAN_NAZWA,
        'PROG_DOLNY'    : PROG_DOLNY,
        'PROG_GORNY'    : PROG_GORNY,
        'zmieniony'     : 1
    };

    //stany_umowne.sort( stany_umowne_sort_fun );
    
    stany_umowne_print();

    stan_umowny_anuluj();
}

function stany_umowne_print(){
    //if( stany_umowne.length == 0) return;

    var i = null;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="towar_stany_umowne_tab_grid">';
    str += '<tr>';
    str += '  <th align=center width=50>#</th>';
    str += '  <th align=center >Stan umowny nazwa</th>';
    str += '  <th align=center >Prg od</th>';
    str += '  <th align=center >Prg do</th>';
    str += '</tr>';

    var img = '';
    var lp = 1;
    
    for( i =0; i < stany_umowne.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); stan_umowny_num = ' + i + '; " ondblclick="show_stan_umowny_form( \'edit\', ' + i + ');" class="wiersz' + ( (lp%2) + 1 ) + ((stan_umowny_num == i)?' highlight':'')+'">';
        str += '    <td align=center width=100>' +( lp++ )+ '. <input type="hidden" name="stany_umowne['+i+'][zmieniony]" value="' + stany_umowne[i]['zmieniony'] + '" ></td>';
        str += '    <td >' + stany_umowne[i].STAN_NAZWA + ' <input type="hidden" name="stany_umowne[' + i + '][STAN_ID]" value="' + stany_umowne[i]['STAN_ID'] + '" > <input type="hidden" name="stany_umowne[' + i + '][STAN_NAZWA]" value="' + stany_umowne[i]['STAN_NAZWA'] + '" > </td>' ;
        str += '    <td >' + stany_umowne[i].PROG_DOLNY + ' <input type="hidden" name="stany_umowne[' + i + '][PROG_GORNYLNY]" value="' + stany_umowne[i]['PROG_DOLNY'] + '" > </td> ' ;
        str += '    <td >' + stany_umowne[i].PROG_GORNY + ' <input type="hidden" name="stany_umowne[' + i + '][PROG_GORNY]" value="' + stany_umowne[i]['PROG_GORNY'] + '" > </td> ' ;
        str += '</tr>';
    }
    str += '</table>\n';

    if( !o_stany_umowne_div ){
        o_stany_umowne_div = document.getElementById('stany_umowne_div');
    }

    o_stany_umowne_div.innerHTML = str;

    if( stan_umowny_num >= 0){
        //to do podwietlania
        var rows = o_stany_umowne_div.getElementsByTagName('TR');
        //zaznaczam wiersz zeby potem mc go zgasi
        old_row = rows[stan_umowny_num + 1];
    }
}

function stan_umowny_delete( num ){
    if( arguments.length == 0 ){
        num = stan_umowny_num;
        stan_umowny_num = -1;
        if( num <  0){
            alert('Kliknij najpierw na warto, a nastpnie wcinij przycisk usu.');
            return;
        }
    }
/*
    if( stany_umowne[num] && stany_umowne[num]['ID'] > 0  ){
        o_input  = document.createElement('input');
        o_input.type  = 'hidden';
        o_input.name  = 'stany_umowne2delete[]';
        o_input.value = stany_umowne[num]['STAN_ID'];

        document.forms['towar_stan_umowny_form'].appendChild(o_input);
    }*/

    stany_umowne.splice(num, 1);

    if( num > 0 ){
        stany_umowne[num-1].PROG_DO = stany_umowne[num].PROG_DO;
    }else{
        stany_umowne[num+1].PROG_OD = 0;
    }
    stany_umowne.splice(num, 1);
    
    stany_umowne_print();
}


function in_stany_umowne( stan_id ){
    //str = str.toLowerCase();
    for( i = 0; i < stany_umowne.length; i++ ){
        if( stany_umowne[i].STAN_ID == stan_id ){
            return i;
        }
    }

    return -1;
}

function stany_umowne_sort_fun(a, b){

    //Compare "a" and "b" in some fashion, and return -1, 0, or 1

    return a.PROG_DOLNY - b.PROG_DOLNY;

    if( a.PROG_DOLNY > b.PROG_DOLNY ){
        return 1;
    }else if( a.PROG_DOLNY < b.PROG_DOLNY ){
        return -1;
    }

    return 0;
}


function get_st_umowne_response( xmlRoot ){

    var o_stany_xml = xmlRoot.getElementsByTagName('stan_umowny');
    var o_stan_xml  = new Object();
    var o_stan      = new Object();

    //zeruje stany umowne
    a_stany_umowne   = new Array();
    st_umowne        = new Object();
    st_umowne_select = new Object();

    var atrybuty = ['ID', 'NAZWA', 'RZECZYWISTY', 'PROG_DOLNY', 'PROG_GORNY', 'ICO', 'ICO_NAME', 'ICO_EXT', 'ICO_WIDTH', 'ICO_HEIGHT', 'IMG' ];

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var key, value;
    var i, j;

    for( i = 0; i < o_stany_xml.length; i++){
        o_stan_xml = o_stany_xml.item(i);

        o_stan = new Object();

        for( j = 0; j < atrybuty.length; j++){
            key   = atrybuty[j];
            value = o_stan_xml.getAttribute( key );
            o_stan[key] = value;
        }
        o_stan.lp = i;
        
        st_umowne[o_stan.ID]  = ( o_stan );

        st_umowne_select[o_stan.ID] = o_stan.NAZWA;
    }

    //console.dir(st_umowne);
    
    make_select( document.forms['towar_stan_umowny_form'].elements['STAN_ID'], st_umowne_select );

}


var stan_id_last = -1;

function towar_stan_umowny_onchange( o_sel ){
    var i = -1;
    var stan_id = o_sel.value;
    
    if( st_umowne[o_sel.value] ){
        var stan_umowny_index = 0;

        if( (stan_umowny_index = in_stany_umowne(stan_id)) >= 0 ){
            console.log('stan_umowny_index: ' + stan_umowny_index);
            o_sel.form.PROG_DOLNY.value = stany_umowne[stan_umowny_index].PROG_DOLNY;
            o_sel.form.PROG_GORNY.value = stany_umowne[stan_umowny_index].PROG_GORNY;
        }else{
            console.log('wybrany stan umowny jeszcze nie okrelony');
            
            o_sel.form.PROG_DOLNY.value = st_umowne[o_sel.value].PROG_DOLNY;
            o_sel.form.PROG_GORNY.value = st_umowne[o_sel.value].PROG_GORNY;
            
            if( stany_umowne.length > 0 ){
                o_sel.form.PROG_DOLNY.value = stany_umowne[stany_umowne.length-1].PROG_GORNY;
            }else{
                o_sel.form.PROG_DOLNY.value = 0;
            }
        }

    }else{
        alert('Nie znaleziono wybranego stanu umownego.')
        o_sel.selectedIndex = 0;
    }
}





var b_towar_stany_umowne_loaded = false;
function towar_stany_umowne_load(){

    if( !b_towar_stany_umowne_loaded ){
        server_connect( o_towar_ajax, ADMIN_URL + '?action=' + ACTION_TOWARY + '&mode=' + MODE_AJAX  + '&ID=' + TOWAR_ID + '&param=1',  towar_stany_umowne_load_response);
    }
}

function towar_stany_umowne_load_response( xmlRoot ){

    var o_tst_umowne_xml = xmlRoot.getElementsByTagName('t_param');
    var o_tparam_xml  = new Object();
    var o_tparam      = new Object();

    //zeruje alarmy
    stany_umowne = new Array();

    var atrybuty = ['STAN_ID', 'STAN_NAZWA', 'WART_ID', 'WARTOSC' ];

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var key, value;
    var i, j;

    for( i = 0; i < o_tst_umowne_xml.length; i++){
        o_tparam_xml = o_tst_umowne_xml.item(i);

        o_tparam = new Object();

        for( j = 0; j < atrybuty.length; j++){
            key   = atrybuty[j];
            value = o_tparam_xml.getAttribute( key );
            o_tparam[key] = value;
        }
        o_tparam['lang'] = new Object();

        stany_umowne.push( o_tparam );
    }

    b_towar_stany_umowne_loaded = true;

    stany_umowne_print();

}

