/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

jQuery(function(){
    var $ = jQuery;

    function dispaly_message( msg, type ){
        if ( typeof(print_message) === 'function' ) {
            print_message(msg, type);
        } else {
            $('#kupon-rabatowy-status').removeClass('message-info message-error');

            $('#kupon-rabatowy-status').html(msg);
            if  ( type === 'error' ){
                $('#kupon-rabatowy-status').addClass('message-error');
            } else {
                $('#kupon-rabatowy-status').addClass('message-info');
            }
        }
    }

    $('#kupon-rabatowy-confirm-btn').click(function(e){
        e.preventDefault();

        var url = $(this).attr('href');

        var $kupon = $('#koszyk_kupon_rabatowy');

        if ( !$kupon.val() ){
            print_message("Musisz wpisa kupon rabatowy", "error");
            return false;
        }
        $kupon.addClass('loading');

        if ( showLoading && typeof(showLoading) === 'function' ){
            try{
                showLoading('#kupon_rabatowy_div');
            }catch(e){}
        }

        $.get(url, { 'kupon' : $kupon.val() }, function(data){
            $kupon.removeClass('loading');

            if ( hideLoading && typeof(hideLoading) === 'function' ){
                try{
                    hideLoading();
                }catch(e){}
            }

            if ( typeof(data) === 'string' ) {
                if( data.substr(0,1) === '{' && data.substr(data.length-1) === '}' ){
                    try{
                        data = eval('(' + data + ')');
                    }catch(e){
                        data = null;
                    }
                }
            }

            //console.log(data);
            if ( typeof(data) === 'object' && data ) {
                if( data.error ) {
                    var msg = data.message;

                    if ( data.errors && typeof(data.errors) === 'object' ) {
                        for( var e in data.errors ){
                            msg += '<br />' + data.errors[e];
                        }
                    }

                    dispaly_message(msg, "error");
                } else if( data.success ){
                    dispaly_message(data.message, "notice");
                }

                if ( data.koszyk ) {
                    $('#koszyk').html(data.koszyk);
                }

                if ( data.kupon_wartosc_brutto ){
                    $('#kupon_wartosc_brutto').html(data.kupon_wartosc_brutto);
                }

                if ( data.kupon_wartosc_netto ){
                    $('#kupon_wartosc_netto').html(data.kupon_wartosc_netto);
                }
            } else {
                dispaly_message('Kupon jest nieaktywny', "error");
            }
        });

        return false;
    });
});