// JavaScript Document

function PozycjaUwagi( settings ){

    this.o_ajax = createXmlHttpRequestObject();
    
    this.o_items=  new Object();
    
    this.o_form = document.forms['pozycja_uwagi_form'];
    
    this.o_popup = document.getElementById('pozycja_uwagi_popup_div');

    var o_self = this;
    
    this.save = pozycja_uwagi_save;
    this.anuluj = pozycja_uwagi_anuluj;
    this.show_from = pozycja_uwagi_show_from;
    
    this.get_response = pozycja_uwagi_get_response;
    this.set_response = pozycja_uwagi_set_response;
    
    this.o_form.onsubmit = function(){ o_self.save(); return false;}
}

function pozycja_uwagi_show_from( pozycja_id ){
    var o_self = this;
    
    try{ showTlo(); }catch(e){}

/******************************************************************************/
    this.o_form.elements['ID'].value = pozycja_id;

    if( typeof(this.o_items[pozycja_id]) != 'undefined' ){
        this.o_form.elements['uwagi'].value = this.o_items[pozycja_id];
    }else{
        server_connect( this.o_ajax, MAIN_URL + '?action=koszyk&mode=pozycja&ajax=1&get=uwagi&ID=' + pozycja_id,  function(){ o_self.get_response(arguments[0]) } );
    }

    center_both_obj( this.o_popup );
}

function pozycja_uwagi_save(){
    var o_self = this;
    
    var poz_id  = this.o_form.elements['ID'].value;
    
    this.o_items[poz_id] = this.o_form.elements['uwagi'].value;
    
    send_form( this.o_ajax, this.o_form, function(){ o_self.set_response(arguments[0]) }, true );
    
}

function pozycja_uwagi_anuluj( clear ){

    if(  clear ){
        this.o_form.reset();
    }

    hide_obj(this.o_popup);

    try{ hideTlo(); }catch(e){}
}


function pozycja_uwagi_get_response( o_txt ){

    if( o_txt.match(/^OK:/) ){
        var poz_id  = this.o_form.elements['ID'].value;
    
        this.o_items[poz_id] = this.o_form.elements['uwagi'].value = o_txt.substr(4);
    }else if( o_txt.match(/^ERR:/) ){
        alert( 'Wystpi bd w trakcie pobierania uwag z serwera: ' + o_txt.substr(4) );
    }else{
        alert( 'Niepoprawna odpowied serwera: ' + o_txt );
    }
}

function pozycja_uwagi_set_response( o_txt ){

    if( o_txt.match(/^OK/) ){
        //ok nic nie wypisuje
        this.anuluj(true);
    }else if( o_txt.match(/^ERR:/) ){
        alert( 'Sprbuj ponownie zapisa uwagi. Wystpi nastpujcy bd w trakcie zapisaywania uwag. Odpowied z serwera: ' + o_txt.substr(4) );
    }else{
        alert( 'Sprbuj ponownie zapisa uwagi. Niepoprawna odpowied serwera: ' + o_txt );
    }
}


