{set_baseadress}
{literal}
<style type="text/css">
BODY, H1, H2, H3, H4, H5, P, UL, OL, DL, DIV, TABLE, TD, TH, CENTER, BLOCKQUOTE, A, FORM, INPUT, TEXTAREA, SELECT, OPTION {
  font-family: Tahoma, Helvetica, Arial, sans-serif;
  color: #1D1D1D;
  font-size: 10pt;
}

BODY {
    margin: 0px;
    background-color: white;
}

H1, H2, H3, H4, H5 {
    font-weight: normal;
    text-transform: uppercase;
    color: #999933;
}

H1 {font-size: 11pt;}
H2 {font-size: 10pt;}
H3 {font-size: 8pt;}
H4 {font-size: 7pt;}
H5 {font-size: 6pt;}

P, UL, OL, DL, BLOCKQUOTE {
    line-height: 1.2;
    text-align: justify;
}


TABLE {empty-cells: show;}

a { color:#43484E;}
a:hover{ text-decoration:none;}

IMG { border: 0px; }

/******************************************************************************/

div.sticker_blue_short{
  display: block;
  border-bottom: solid 1px #014D7E;
}

div.sticker_blue_short a{
  display: block;
  background-color: #0271A8;
  color: #FFFFFF;
  font-weight: bold;
  font-size: 13px;
  border: solid 1px #014D7E;
  border-bottom: none;
  padding: 0px 0px 0px 10px;
  margin-top: 10px;
  width: 290px;
}


/******************************************************************************/

TABLE.page {

}

TD.pageheader {
    padding: 0px;
}

TD.pagemenu {
    padding: 0px;

}

TD.pagemargin {
    padding: 10px 10px 10px 10px;
    border-right: 1px solid #e0e0e0;
}

TD.pagebody {
    padding: 10px 0px 10px 0px;
}

TD.pagefooter {
    height: 50px;
    padding: 5px 10px 5px 10px;
    border-top: 1px solid #e0e0e0;
}

TD.pageheaderlogo {
    padding: 5px 10px 0px 10px;
}

TD.pageheadernav {
    padding: 0px 10px 0px 10px;
    font-size: 7pt;
    text-align: right;
}

TD.pageheadernav A {
    display: block;
    float: right;
    margin: 2px 0px 0px 0px;
    padding: 10px 12px 8px 12px;
    border-top: 2px solid #cccccc;
    text-align: center;
    color: #666666;
}

TD.pageheadernav A + A {
    border-right: 1px solid #ebebeb;
}

TD.pageheadernav A:hover {
    text-decoration: underline;
}

TD.pageheadersearch {
    padding: 3px 10px 3px 10px;
    border-top: 1px solid #cccccc;
    border-bottom: 1px solid #cccccc;
    background-color: #ebebeb;
    text-align: right;
    color: #999999;
}

TD.pageheaderbody {
    padding: 5px 120px 5px 0px;
    background-repeat: repeat-x;
}

TD.pageheaderbody, TD.pageheaderbody P, TD.pageheaderbody LI {
    font-size: 8pt;
    line-height: 1.5;
    color: #ffffff;
}

TD.pageheaderbottom {
    border-top: 1px solid #cccccc;
}

TD.pagemenucont {
    padding: 5px 0px 0px 10px;
}



TD.pagemenucont A {
    padding: 2px 10px 2px 0px;
    text-transform: uppercase;
    color: #0066cc;
}

TD.pagemenucont A + A {
    padding-left: 10px;
    border-left: 3px solid #aec9e5;
}

TD.pagemenucont A:hover {
    text-decoration: underline;
    color: #0080ff;
}

/******************************************************************************/

TD.pagefootercont, TD.pagefooternav {
    height: 20px;
}

TD.pagefootercopy, TD.pagefooterdate {
    height: 30px;
    padding: 3px 0px 0px 0px;
    font-size: 8pt;
    color: #999999;
}

TD.pagefooternav, TD.pagefooterdate {
    text-align: right;
}

TD.pagefootercont A {
    padding: 2px 5px 2px 0px;
    font-size: 8pt;
    color: #666666;
}

TD.pagefootercont A + A {
    padding-left: 5px;
    border-left: 1px solid #ebebeb;
}

TD.pagefooternav A {
    display: block;
    float: right;
    padding: 3px 12px 5px 12px;
    border-bottom: 2px solid #cccccc;
    font-size: 7pt;
    text-align: center;
    color: #666666;
}

TD.pagefooternav A + A {
    border-right: 1px solid #ebebeb;
}

TD.pagefootercont A:hover, TD.pagefooternav A:hover {
    text-decoration: underline;
}

/******************************************************************************/

.display0{
    display: none;
}

.display1{}


/******************************************************************************/

TABLE.tab {
    border: 1px solid #a0a0a0;
}

TR.rowhead {
    background-color: #dfdfdf;
}

TR.rowhead TH {
    padding: 4px;
    border-bottom: 1px solid #b0b0b0;
}

TR.rowodd {
    background-color: #f4f4f4;
}
/*
TR.rowodd:hover {
    background-color: #f0eef6;
}
*/

TR.roweven {
    background-color: #ffffff;
}

/*
TR.roweven:hover {
    background-color: #f0eef6;
}
*/

TR.rowodd TD, TR.roweven TD {
    padding: 4px;
    border-top: 1px solid #e0e0e0;
}

TR.rowhead + TR.rowodd TD {
    border-top: 0px;
}

TD.no {
    font-size: 6pt;
    text-align: right;
}
/**************************************************************************************************/

DIV.rowhead, DIV.rowhead-long, DIV.rowhead-small{
  width: 300px;
  border: 1px solid #A6A6A6;
  border-left: 3px solid #A6A6A6;
  color: #76AC0C;
  padding: 5px;
  margin: 5px;
  text-align: left;
  font-weight: bold;
  text-decoration: none;
  font-size:90%;
  letter-spacing:3px;
  text-transform:uppercase;
}

DIV.row{ padding: 5px; }
DIV.rowhead-long{ width: 400px; }
DIV.rowhead-small{ width: 200px;}
DIV.rowfoot{ border-bottom: solid 1px #E0E0E0; background-color: #f4f4f4;}
DIV.rowodd { border-bottom: solid 1px #E0E0E0; background-color: #f4f4f4; clear: both; }
DIV.rowodd:hover { background-color: #FFEEEE; }
DIV.roweven { border-bottom: solid 1px #E0E0E0; background-color: #ffffff; clear: both; }
DIV.roweven:hover { background-color: #FFEEEE; }
DIV.rowend{ height: 1px; padding: 0px; margin: 0px; line-height: 0; display: block; overflow: hidden; border: none; clear: both; }


DIV.datalabel{
  float: left;
  width: 200px;
  display: inline;
  padding: 5px 0px 5px 5px;
}

DIV.datavalue{
  margin: 0px 0px 0px 205px;
  border-left: solid 1px #E0E0E0;
  padding: 5px 0px 5px 5px;

}

div.roundbox{ margin-bottom: 15px; }
div.roundbox div.bottom {background: url({/literal}{$baseAdress}{literal}/images/box/dot.gif) 0 100% repeat-x;}
div.roundbox div.top {background: url({/literal}{$baseAdress}{literal}/images/box/dot.gif) 0px 0px repeat-x;}
div.roundbox div.left {background: url({/literal}{$baseAdress}{literal}/images/box/dot.gif) 0px 0px repeat-y;}
div.roundbox div.right {background: url({/literal}{$baseAdress}{literal}/images/box/dot.gif) 100% 0px repeat-y;}

div.roundbox div.left-top {background: url({/literal}{$baseAdress}{literal}/images/box/box-left-top.gif) 0px 0px no-repeat;}
div.roundbox div.right-top {background: url({/literal}{$baseAdress}{literal}/images/box/box-right-top.gif) 100% 0px no-repeat;}
div.roundbox div.left-bottom {background: url({/literal}{$baseAdress}{literal}/images/box/box-left-bottom.gif) 0 100% no-repeat;}
div.roundbox div.right-bottom {background: url({/literal}{$baseAdress}{literal}/images/box/box-right-bottom.gif) 100% 100% no-repeat;}
div.roundbox div.contents{padding: 5px ; }

div.roundbox div.contents{
    padding: 15px 10px;
}

.nawigacja{
  display:block;
  position: relative;
  height:45px;
  background: #eff url({/literal}{$baseAdress}{literal}/images/menu_bg.gif) repeat-x;
}
div.nawigacja ._right{
    background: url({/literal}{$baseAdress}{literal}/images/menu_right.gif) 100% 0% no-repeat;
    position: relative;
    height:45px;
}

.nawigacja a{
float:left;
display:block;
height:45px;
}


.nawigacja a.glowna{
background: #eff url({/literal}{$baseAdress}{literal}/images/btn_glowna.jpg) no-repeat;
width:150px;
}
.nawigacja a.wymagania{
background: #eff url({/literal}{$baseAdress}{literal}/images/btn_wymagania.jpg) no-repeat;
width:112px;
}
.nawigacja a.rakssql{
background: #eff url({/literal}{$baseAdress}{literal}/images/btn_rakssql.jpg) no-repeat;
width:81px;
}
.nawigacja a.porownanie{
background: #eff url({/literal}{$baseAdress}{literal}/images/btn_porownanie.jpg) no-repeat;
width:113px;
}
.nawigacja a.kontakt{
background: #eff url({/literal}{$baseAdress}{literal}/images/btn_kontakt.jpg) no-repeat;
width:77px;
}

.nawigacja a:hover, .nawigacja a.on{
background-position:0px -45px;
}

/**************************************************************************************************/
.main {margin:0 auto;}
#stopka{ text-align:center; background: #E1E7ED; }
#stopka .column{ float: left; font-size: 8px; line-height: 16px; text-align:left; }
#stopka, #stopka DIV { color:#a5aaaf; font-weight:normal; font-size: 11px; line-height: 16px; }
#stopka a{ color:#515c68; font-weight:normal; text-decoration:none; font-size: 11px; }
#stopka a:hover{ text-decoration:underline; }
#stopka .column .indent { color:#a5aaaf; padding:14px 0 0 44px;}
#stopka .column_1 .indent {padding:12px 44px 0 0;}

.clear{ clear: both; height: 1px; overflow: hidden;}
a.opacity:hover {
opacity:0.8;
}
/**************************************************************************************************/
.bar {
    background:transparent url({/literal}{$baseAdress}{literal}/images/bg_li_1.gif) repeat-x scroll 0 0;
}

.bar .bar_l{
    background:transparent url({/literal}{$baseAdress}{literal}/images/bg_li_3.gif) no-repeat scroll 0 0;
}

.bar .bar_r{
    background:transparent url({/literal}{$baseAdress}{literal}/images/bg_li_2.gif) no-repeat scroll 100% 0;

    color:#8492A0;
    font-size:9pt;
    font-weight:bold;
    line-height:27px;
    padding:0 0 0 41px;
    text-decoration:none;

}

</style>
{/literal}
