<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {make_btn} function plugin
 *
 * File:       function.make_btn.php<br>
 * Type:       function<br>
 * Name:       make_btn<br>
 * Date:       2007-11-15<br>
 * Purpose:    Prints out a list of checkbox input types<br>
 * Input:<br>
 *           - napis      (required) - string default "checkbox"
 *           - adres      (optional) - string default ""
 *           - parametry  (optional) - string default array()
 * Examples:
 * <pre>
 * {make_btn napis="Przycisk" output="index.php"}
 * {make_btn napis="Przycisk" output="#" onclick="document.forms[0].submit();" style="color: red;"}
 * </pre>
 * @author     Jarek Kotowski <jarek@solution-4u.com>
 * @version    1.0
 * @param array
 * @param Smarty
 * @return string
 */
//include( CLASS_DIR.'/SondaClass.php');
 
function smarty_function_sonda_wyniki($params, &$smarty){
    $napis = '';
    $adres = '';
    $parametry = array();
    $glos = 0;
    $css = '';
    
    foreach($params as $_key => $_val) {
        switch($_key) {
            case 'glos':
                $glos = $_val;
            break;
                
            case 'id':
                $id =$_val;
            break;

            case 'adres':
                $$_key = (string)$_val;
            break;
                
            default:
                if( !is_array($_val) ) {
                    $extra .= ' '.$_key.'="'.addcslashes($_val, '"').'"';
                }
            break;
        }
    }

    
    $sonda = new SondaClass();
   $sonda->ID=$id;
    $sonda->pobierz();			
    

///////////podbijam glosy
//if(if($glos!=0){){
//$sonda->glosuj($glos);
//}

        
    $wyniki='<table cellspacing="0" cellpadding="8" style="width:100%">';
          
         $all=0;
          
          foreach($sonda->ODPOWIEDZI as $odp){
         $all+=$odp['GLOSY'];
         }
          
          $i = 1;
           foreach($sonda->ODPOWIEDZI as $odp){
                
                if( $i % 2 == 1){$bg = "odd"; }else{$bg = "even";}
                if($odp['GLOSY']==0){
                $procent= 0;
                }else{
                $procent=ceil($odp['GLOSY']/$all*100);
                }
               $wyniki.= '<tr class='.$bg.' >
                     
                       <td align=center valign=top>'.$odp['ODPOWIEDZ'].'</td> 
                       <td align=center valign=top>'.$odp['GLOSY'].'</td> 
                       <td  width=130 align=LEFT ><div  style="width:100%; position:relative; border:1px solid #ddd;"><div style="position:absolute;left:65px;font-size:8pt;">'.$procent.'%</div><div style="height:12px;width:'.$procent.'%; background:#58d3ff;"></div> </div></td>
                      </tr>';

                 $i++;
          }//end foreach
          
          $wyniki.= '</table>';
 
 return $wyniki;
  
}

?>
   


